=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: filelight
 Section: kde
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-# XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
@@ -19,7 +18,7 @@
                libqt5svg5-dev (>= 5.15.2~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
-               qtquickcontrols2-5-dev (>= 5.15.2~)
+               qtquickcontrols2-5-dev (>= 5.15.2~),
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/filelight
@@ -28,13 +27,14 @@
 
 Package: filelight
 Architecture: any
-Depends: qml-module-org-kde-kirigami2,
+Depends: qml-module-org-kde-kcoreaddons,
+         qml-module-org-kde-kirigami2,
          qml-module-org-kde-qqc2desktopstyle,
          qml-module-org-kde-quickcharts,
          qml-module-qt-labs-platform,
          ${misc:Depends},
-         ${shlibs:Depends}
-Description: shows where your diskspace is being used
+         ${shlibs:Depends},
+Description: show where your diskspace is being used
  Filelight allows you to understand your disk usage by graphically
  representing your filesystem as a set of concentric, segmented rings.
  .
