## filelight 24.08.2

=== debian/changelog ===
filelight (4:24.08.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.2)

 -- Rik Mills <rikmills@kde.org>  Mon, 04 Nov 2024 08:54:20 +0000

filelight (4:24.08.1-2ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 17:50:44 -0500

filelight (4:24.08.1-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Revert to static runtime dependencies for now.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 23 Sep 2024 22:49:59 +0200

filelight (4:24.08.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0, no change required.
  * Use pkgkde-getqmldepends to automatically inject runtime QML
    dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 23 Sep 2024 21:28:02 +0200

filelight (4:23.08.5-1) unstable; urgency=medium

  * Team upload.

  [ Jesse Rhodes ]
  * New upstream release (23.08.5).
  * Update runtime dependencies with info from cmake. (Closes: #1053351)
  * Clean up build artifact.

 -- Patrick Franz <deltaone@debian.org>  Sat, 13 Apr 2024 21:01:09 +0200
