=== src/CMakeLists.txt ===
--- 
+++ 
@@ -44,28 +44,17 @@
     target_sources(filelightInternal PRIVATE posixWalker.cpp)
 endif()
 target_link_libraries(filelightInternal
-    Qt${QT_MAJOR_VERSION}::Gui
-    KF${KF_MAJOR_VERSION}::CoreAddons
-    KF${KF_MAJOR_VERSION}::ConfigCore
-    KF${KF_MAJOR_VERSION}::I18n
-    KF${KF_MAJOR_VERSION}::KIOWidgets # Only used for KDirLister, may be able to move away from that.
+    Qt6::Gui
+    KF6::ConfigCore
+    KF6::I18n
+    KF6::KIOWidgets # Only used for KDirLister, may be able to move away from that.
+    KF6::Crash
 )
-
-configure_file(qml/MapPage.qml ${CMAKE_CURRENT_BINARY_DIR}/qml/MapPage.qml)
-configure_file(qml/ActionMenuItem.qml ${CMAKE_CURRENT_BINARY_DIR}/qml/ActionMenuItem.qml)
-configure_file(qml/OverviewPage.qml ${CMAKE_CURRENT_BINARY_DIR}/qml/OverviewPage.qml)
-configure_file(qml/SettingsPageScanning.qml ${CMAKE_CURRENT_BINARY_DIR}/qml/SettingsPageScanning.qml)
-configure_file(qml/CenterShape.qml ${CMAKE_CURRENT_BINARY_DIR}/qml/CenterShape.qml)
-configure_file(qml/SegmentShape.qml ${CMAKE_CURRENT_BINARY_DIR}/qml/SegmentShape.qml)
-configure_file(qml/main.qml ${CMAKE_CURRENT_BINARY_DIR}/qml/main.qml)
-configure_file(qml/qml.qrc.in ${CMAKE_CURRENT_SOURCE_DIR}/qml/qml.generated.qrc)
 
 add_executable(filelight)
 target_sources(filelight PRIVATE
     radialMap/map.cpp
     radialMap/radialMap.cpp
-    historyAction.cpp
-    historyAction.h
     mainContext.cpp
     mainContext.h
     main.cpp
@@ -77,15 +66,16 @@
     define.h
     localLister.h
     remoteLister.h
-    historyAction.h
     Config.h
-    ${CMAKE_CURRENT_SOURCE_DIR}/qml/qml.generated.qrc
+    qml/qml.qrc
     contextMenuContext.cpp
     contextMenuContext.h
     fileModel.cpp
     fileModel.h
     dropperItem.cpp
     dropperItem.h
+    hicolor.qrc
+    windowThemer.cpp
 )
 
 set(filelight_ICONS
@@ -99,15 +89,23 @@
     ${filelight_ICONS})
 
 target_link_libraries(filelight
-    KF${KF_MAJOR_VERSION}::I18n
-    KF${KF_MAJOR_VERSION}::XmlGui
-    Qt${QT_MAJOR_VERSION}::Quick
-    Qt${QT_MAJOR_VERSION}::QuickControls2
+    KF6::I18n
+    KF6::ColorScheme
+    Qt6::Quick
+    Qt6::QuickControls2
     filelightInternal
 )
-if (WIN32)
-    find_package(KDEWin REQUIRED)
-    target_link_libraries(filelight kdewin)
+
+if(APPLE)
+    set_target_properties(filelight PROPERTIES
+        MACOSX_BUNDLE_DISPLAY_NAME "Filelight"
+        MACOSX_BUNDLE_BUNDLE_NAME "Filelight"
+        MACOSX_BUNDLE_LONG_VERSION_STRING "Filelight ${RELEASE_SERVICE_VERSION}"
+        MACOSX_BUNDLE_SHORT_VERSION_STRING "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}"
+        MACOSX_BUNDLE_BUNDLE_VERSION "${RELEASE_SERVICE_VERSION}"
+        MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.filelight"
+        MACOSX_BUNDLE_COPYRIGHT "2006-2024 The Filelight Developers")
+
 endif()
 
 install(TARGETS filelight ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
