=== debian/control ===
--- 
+++ 
@@ -4,20 +4,20 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf5,
-               extra-cmake-modules (>= 6.0.0~),
+               cmake (>= 3.16~),
+               extra-cmake-modules (>= 6.5.0~),
                gettext,
-               libkf6colorscheme-dev (>= 6.0.0~),
-               libkf6config-dev (>= 6.0.0~),
-               libkf6crash-dev (>= 6.0.0~),
+               libkf6colorscheme-dev (>= 6.5.0~),
+               libkf6config-dev (>= 6.5.0~),
+               libkf6crash-dev (>= 6.5.0~),
                libkf6doctools-dev <!nodoc>,
-               libkf6i18n-dev (>= 6.0.0~),
-               libkf6kio-dev (>= 6.0.0~),
-               libkf6qqc2desktopstyle-dev (>= 6.0.0~),
-               qt6-base-dev,
-               qt6-declarative-dev,
+               libkf6i18n-dev (>= 6.5.0~),
+               libkf6kio-dev (>= 6.5.0~),
+               libkf6qqc2desktopstyle-dev (>= 6.5.0~),
+               qt6-base-dev (>= 6.6.0~),
+               qt6-declarative-dev (>= 6.6.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
