## filelight 25.04.0

=== debian/changelog ===
filelight (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Switch to KF6 debhelper build sequence.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 18:45:25 +0200

filelight (4:25.03.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.03.90).
  * Bump Standards-Version to 4.7.2, no change required.
  * Switch to dh-sequence-qmldeps for runtime QML dependencies. (Closes:
    #1101828)

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Apr 2025 22:25:34 +0200
