=== debian/changelog ===
filelight (4:25.04.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Point upstream source to invent git repo.
  * New upstream release (25.04.2).
    - Translation updates.
  * Backport upstream commits:
    - Don’t fail analysis on corrupted folder entries.
  * Add missing runtime dependency on qml6-module-org-kde-desktop. (Closes:
    #1107202)

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 08 Jun 2025 14:56:29 +0200
