=== debian/control ===
--- 
+++ 
@@ -28,7 +28,8 @@
 
 Package: filelight
 Architecture: any
-Depends: qml6-module-qtqml-workerscript,
+Depends: qml6-module-org-kde-desktop,
+         qml6-module-qtqml-workerscript,
          ${misc:Depends},
          ${qml6:Depends},
          ${shlibs:Depends},
