## filelight 25.08.2

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -39,9 +39,9 @@
     EXPORT FILELIGHT
 )
 if (WIN32)
-    target_sources(filelightInternal PRIVATE windowsWalker.cpp)
+    target_sources(filelightInternal PRIVATE windowsWalker.cpp windowsWalker.h)
 else()
-    target_sources(filelightInternal PRIVATE posixWalker.cpp)
+    target_sources(filelightInternal PRIVATE posixWalker.cpp posixWalker.h)
 endif()
 target_link_libraries(filelightInternal
     Qt6::Gui
@@ -75,7 +75,7 @@
     dropperItem.cpp
     dropperItem.h
     hicolor.qrc
-    windowThemer.cpp
+    windowThemer.cpp windowThemer.h
 )
 
 set(filelight_ICONS
@@ -95,6 +95,11 @@
     Qt6::QuickControls2
     filelightInternal
 )
+if(TARGET KF6::I18nQml)
+target_link_libraries(filelight
+        KF6::I18nQml
+)
+endif()
 
 if(APPLE)
     set_target_properties(filelight PROPERTIES
