## filelight 25.08.2+p24.04+vstable+git20251015.1446

=== debian/changelog ===
filelight (4:25.08.2+p24.04+vstable+git20251015.1446-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 14:46:38 +0000

filelight (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 04:03:10 +0000
