## filelight 25.08.2+p24.04+vstable+git20251019.0259

=== debian/changelog ===
filelight (4:25.08.2+p24.04+vstable+git20251019.0259-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 02:59:47 +0000
