## filelight 25.08.2+p24.04+vstable+git20251021.0300

=== debian/changelog ===
filelight (4:25.08.2+p24.04+vstable+git20251021.0300-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:00:59 +0000
